Unreviewed, rolling out r207609.
authorcommit-queue@webkit.org <commit-queue@webkit.org@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Fri, 21 Oct 2016 08:17:33 +0000 (08:17 +0000)
committercommit-queue@webkit.org <commit-queue@webkit.org@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Fri, 21 Oct 2016 08:17:33 +0000 (08:17 +0000)
https://bugs.webkit.org/show_bug.cgi?id=163776

As glib bump was rollout, we need to rollout this too
(Requested by rego on #webkit).

Reverted changeset:

"[GTK] Cannot build GTK+ with CUPS 2.* versions"
https://bugs.webkit.org/show_bug.cgi?id=163591
http://trac.webkit.org/changeset/207609

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@207664 268f45cc-cd09-0410-ab3c-d52691b4dbfc

Tools/ChangeLog
Tools/gtk/jhbuild.modules
Tools/gtk/patches/configure-fix-detecting-CUPS-2.x.patch [deleted file]

index 82b1666..e194677 100644 (file)
@@ -1,3 +1,17 @@
+2016-10-21  Commit Queue  <commit-queue@webkit.org>
+
+        Unreviewed, rolling out r207609.
+        https://bugs.webkit.org/show_bug.cgi?id=163776
+
+        As glib bump was rollout, we need to rollout this too
+        (Requested by rego on #webkit).
+
+        Reverted changeset:
+
+        "[GTK] Cannot build GTK+ with CUPS 2.* versions"
+        https://bugs.webkit.org/show_bug.cgi?id=163591
+        http://trac.webkit.org/changeset/207609
+
 2016-10-20  Chris Dumez  <cdumez@apple.com>
 
         "Download Linked File" context menu action should use 'download' attribute as suggested filename
index 75f4d14..a837dda 100644 (file)
     </branch>
   </autotools>
 
-  <autotools id="gtk+" autogenargs="--disable-introspection">
+  <autotools id="gtk+" autogen-sh="configure"
+             autogenargs="--disable-introspection">
     <if condition-set="macos">
       <autogenargs value="--enable-x11-backend=no --enable-quartz-backend" />
       <makeargs value="-j1" />
     </dependencies>
     <branch module="/pub/GNOME/sources/gtk+/3.16/gtk+-3.16.4.tar.xz" version="3.16.4"
             repo="ftp.gnome.org"
-            hash="sha256:1ee5dbd7a4cb81a91eaa1b7ae64ba5a3eab6a3c0a764155583ab96524590fc8e">
-      <patch file="configure-fix-detecting-CUPS-2.x.patch" strip="1"/>
-    </branch>
+            hash="sha256:1ee5dbd7a4cb81a91eaa1b7ae64ba5a3eab6a3c0a764155583ab96524590fc8e"/>
   </autotools>
 
   <autotools id="glib"
diff --git a/Tools/gtk/patches/configure-fix-detecting-CUPS-2.x.patch b/Tools/gtk/patches/configure-fix-detecting-CUPS-2.x.patch
deleted file mode 100644 (file)
index 0a48609..0000000
+++ /dev/null
@@ -1,26 +0,0 @@
-From 631f6b536485829a0bd00532f5826ad302b4951b Mon Sep 17 00:00:00 2001
-From: Misty De Meo <mistydemeo@github.com>
-Date: Thu, 16 Jun 2016 15:59:27 -0700
-Subject: [PATCH] configure: fix detecting CUPS 2.x
-
-https://bugzilla.gnome.org/show_bug.cgi?id=767766
----
- configure.ac | 2 +-
- 1 files changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/configure.ac b/configure.ac
-index a0b9c34..b2a6315 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -1438,7 +1438,7 @@ else
-     CUPS_API_MAJOR=`echo $ECHO_N $CUPS_API_VERSION | awk -F. '{print $1}'`
-     CUPS_API_MINOR=`echo $ECHO_N $CUPS_API_VERSION | awk -F. '{print $2}'`
--    if test $CUPS_API_MAJOR -gt 1 -o \
-+    if test $CUPS_API_MAJOR -lt 1 -o \
-             $CUPS_API_MAJOR -eq 1 -a $CUPS_API_MINOR -lt 2; then
-       AC_MSG_ERROR([CUPS >= 1.2 not found])
-     fi
--- 
-2.9.3
-